package kcg.faics.inter.vo;

/**
  * @FileName : InternationalVO.java
  * @Project : 국제해양프로젝트
  * @Date : 2018. 5. 8. 
  * @작성자 : Moon
  * @변경이력 : 
  * @프로그램 설명 :
 */
public class InternationalVO {
	/**
	 * 국제어선 나포정보 ID.
	 */
	private String arrestId = "";
	/**
	 * 나포일시
	 */
	private String arrestDate = ""; // 나포일시
	/**
	 * 국제어선 나포정보 ID.
	 */
	private String agencyType = ""; // 검거기관(종류)
	/**
	 * 검거기관(종류)
	 */
	private String agencyGuard = ""; // 검거기관(안전서)
	/**
	 * 검거기관(안전서)
	 */
	private String agencyVessel = ""; // 검거기관(함정)
	/**
	 * 검거기관(함정)
	 */
	private String procCondition = ""; // 처리현황
	/**
	 * 처리현황
	 */
	private String violateType = ""; // 위반내용구분
	/**
	 * 위반내용구분
	 */
	private String violateDetail = ""; // 위반내용상세
	/**
	 * 위반내용상세
	 */
	private String invasionType = ""; // 침범유형
	/**
	 * 침범유형(특정금지)
	 */
	private String invasion1 = "";
	/**
	 * 침범유형(무허가)
	 */
	private String invasion2 = "";
	/**
	 * 침범유형(영해)
	 */
	private String invasion3 = "";
	/**
	 * 침범유형(EEZ)
	 */
	private String invasion4 = "";
	/**
	 * 처리현황(완료)
	 */
	private String procCondY = "";
	/**
	 * 처리현황(조사중)
	 */
	private String procCondN = "";
	/**
	 * 처리현황(조사중)건수
	 */
	private int procCondNCnt = 0;
	/**
	 * 처리현황(완료)건수
	 */
	private int procCondYCnt = 0;
	/**
	 * 미납금액
	 */
	private String noMarginPaymentAmt = "";
	/**
	 * 선박처리(위탁관리)
	 */
	private String shipProcTypeA = "";
	/**
	 * 선박처리(퇴거)
	 */
    private String shipProcTypeB = "";
    /**
	 * 선박처리(직접인계)
	 */
	private String shipProcTypeC = "";
	/**
	 * 선박처리(폐기)
	 */
	private String shipProcTypeD = "";
	/**
	 * 선박처리(몰수)
	 */
	private String shipProcTypeE = "";
	/**
	 * 구속인원수(전체)
	 */
	private String detentionTotalCnt = "";
	/**
	 * 침범유형1
	 */
	private int invasionType1 = 0;
	/**
	 * 침범유형2
	 */
	private int invasionType2 = 0;
	/**
	 * 침범유형3
	 */
	private int invasionType3 = 0;
	/**
	 * 침범유형4
	 */
	private int invasionType4 = 0;
	/**
	 * 침범유형5
	 */
	private int invasionType5 = 0;
	/**
	 * 선박처리유형(위탁관리)
	 */
	private String shipProcType1 = "";
	/**
	 * 선박처리유형(퇴거)
	 */
	private String shipProcType2 = "";
	/**
	 * 선박처리유형(직접인계)
	 */
	private String shipProcType3 = "";
	/**
	 * 선박처리유형(폐기)
	 */
	private String shipProcType4 = "";
	/**
	 * 선박처리유형(몰수)
	 */
	private String shipProcType5 = "";
	/**
	 * 선박처리유형(현장조사건수)
	 */
	private String fieldCnt = "";
	/**
	 * 특공방여부
	 */
	private String specBatlYn = "";
	/**
	 * NLL여부
	 */
	private String nllYn = "";
	/**
	 * 무혐의불구속구분
	 */
	private String woDetentionType = "";
	/**
	 * 현장조사나포일시
	 */
	private String fieldArrestDate = "";
	/**
	 * 현장조사석방일시
	 */
	private String fieldReleaseDate = "";
	/**
	 * 거리
	 */
	private String leadDistance = "";
	/**
	 * 소요시간
	 */
	private String leadHour = "";
	/**
	 * 분
	 */
	private String leadMinute = "";
	/**
	 * 선장인원
	 */
	private int captainCount = 0;
	/**
	 * 항해사인원
	 */
	private int mateCount = 0;
	/**
	 * 기관장인원
	 */
	private int engineerCount = 0;
	/**
	 * 선원인원
	 */
	private int crewCount = 0;
	/**
	 * 선박처리구분
	 */
	private String shipProcType = "";
	/**
	 * 위탁관리비
	 */
	private String commissionCost = "";
	/**
	 * 어구압수-틀
	 */
	private String gearCast = "";
	/**
	 * 어구압수-폭
	 */
	private String gearWidth = "";
	/**
	 * 어구압수-기타
	 */
	private String gearEtc = "";
	/**
	 * 위반장소(도)
	 */
	private String addrArea = "";
	/**
	 * 위반장소(시)
	 */
	private String addrCity = ""; // 
	/**
	 * 상세주소
	 */
	private String addrDetail = ""; // 
	/**
	 * 위도 도
	 */
	private int latD = 0; // 
	/**
	 * 위도 분
	 */
	private int latM = 0;
	/**
	 * 위도 초
	 */
	private double latS = 0;
	/**
	 * 경도 도
	 */
	private int lonD = 0;
	/**
	 * 경도 분
	 */
	private int lonM = 0;
	/**
	 * 경도 초
	 */
	private double lonS = 0;
	/**
	 * 선박제원-선명
	 */
	private String shipName = "";
	/**
	 * 선박제원-톤수
	 */
	private String shipTonnage = "";
	/**
	 * 선박제원-선원수
	 */
	private String shipCrewCnt = "";
	/**
	 * 선박제원-선질
	 */
	private String shipQuality = "";
	/**
	 * 선박제원-선질 String
	 */
	private String shipQualityStr = "";
	/**
	 * 미납금액
	 */
	private String noPaymentCnt = "";
	/**
	 * 선적
	 */
	private String shipMent = ""; 
	/**
	 * 항구명
	 */
	private String shipPortName = ""; 
	/**
	 * 선종
	 */
	private String shipType = ""; // 선종
	/**
	 * 선장명
	 */
	private String capName = ""; // 선장명
	/**
	 * 선장한자명
	 */
	private String capChnName = ""; // 선장한자명
	/**
	 * 선장나이
	 */
	private int capAge = 0; // 선장나이
	/**
	 * 범칙어종
	 */
	private String vioFish = ""; // 범칙어종
	/**
	 * 범칙수량
	 */
	private int vioCnt = 0; 
	/**
	 * 위판금액
	 */
	private int vioPriatedAmt = 0; 
	/**
	 * 담보금납부여부
	 */
	private String marginPaymentYn = ""; 
	/**
	 * 담보금납부금액
	 */
	private int marginPaymentAmt = 0; 
	/**
	 * 납부일시
	 */
	private String marginPaymentDate = ""; 
	/**
	 * 저장상태 ( 01 : 임시저장 / 02 : 제출 )
	 */
	private String status = ""; 
	/**
	 * 삭제여부
	 */
	private String delYn = ""; 
	/**
	 * 등록일시
	 */
	private String regDate = "";
	/**
	 * 등록자
	 */
	private String regUser = ""; // 
	/**
	 * 등록기관
	 */
	private String regAgency = ""; // 
	/**
	 * 선적 명칭
	 */
	private String shipMentStr = "";
	/**
	 * 선박처리명칭
	 */
	private String shipTypeStr = "";
	/**
	 * 무혐의불구속 명칭
	 */
	private String woDetentionStr = "";
	/**
	 * 검거기관(안전서) 명칭
	 */
	private String agencyGuardStr = "";
	/**
	 * 주소 명칭
	 */
	private String addrStr = "";
	/**
	 * 미납
	 */
	private String notPayment = "";
	/**
	 * 특별광역시도명
	 */
	private String addrAreaStr = "";
	/**
	 * 건수
	 */
	private int totalCnt = 0;
	
	/**
	 * 특공방건수
	 */
	private int specBatlCnt = 0;
	/**
	 * NLL건수
	 */
	private int nllCnt = 0;	
	/**
	 * 외국선원
	 */
	private String foreignCrew = "";
	/**
	 * 이동수단
	 */
	private String transportation = "";
	/**
	 * 밀수입 품목
	 */
	private String itemTest = "";
	/**
	 * 비고
	 */	
	private String remarksList = "";
	/**
	 * 강력범죄
	 */	
	private String aviolentcrime = "";
	/**
	 * 폭력범죄
	 */	
	private String violentcrime = "";
	/**
	 * 지능범죄
	 */	
	private String intelligentcrime = "";
	/**
	 * 절도범죄
	 */	
	private String theftcrime = "";
	/**
	 * 특별법범
	 */	
	private String speciallaw = "";
	/**
	 * 해상 알선,운송
	 */
	private String arrangeTransport = "";
	/**
	 * 해상 불법이동자
	 */
	private String illegalMover = "";
	/**
	 * 해상 이동수단
	 */
	private String transportationCar = "";
	/**
	 * 밀수입 수량
	 */
	private String quantity = "";
	/**
	 * 밀수입 금액
	 */
	private String priceMoney = "";
	/**
	 * 밀수입 대상국가
	 */
	private String targetCountry = "";
	/**
	 * 밀출국  중국 도피
	 */
	private String escapeChina = "";
	/**
	 * 밀출국 중국 취업
	 */
	private String employmentChina = "";
	/**
	 * 밀출국 중국 기타
	 */
	private String etcChina = "";
	/**
	 * 밀출국 일본 도피
	 */
	private String escapeJapan = "";
	/**
	 * 밀출국 일본 취업
	 */
	private String employmentJapan = "";
	/**
	 * 밀출국 일본 기타
	 */
	private String etcJapan = "";
	/**
	 * 밀출국 기타 도피
	 */
	private String escapeCountries = "";
	/**
	 * 밀출국 기타 취업
	 */
	private String employmentCountries = "";
	/**
	 * 밀출국 기타 기타
	 */
	private String etcCountries = "";
	/**
	 * 밀수출 품목
	 */
	private String smugglingName = "";
	/**
	 * 밀수출 수량
	 */
	private String smugglingChn = "";
	/**
	 * 밀수출 금액
	 */
	private String smugglingAge = "";
	/**
	 * 밀수출 대상국가
	 */
	private String smugglingWorld = "";
	/**
	 * 산업기술유출 유출대상
	 */
	private String spilltarget = "";
	/**
	 * 산업기술유출 보상금액(만)
	 */
	private String amountofcompensation = "";
	/**
	 * 지식재산권(상표법) 대상
	 */
	private String intelProperty = "";
	/**
	 * 불법위폐,외국환거래 무등록외환(환치기)
	 */
	private String quenching = "";
	/**
	 * 불법위폐,외국환거래 외화밀반출
	 */
	private String foreignCurrency = "";
	/**
	 * 불법위폐,외국환거래 금액(만)
	 */
	private String foreigncurrencyamount = "";
	/**
	 * 외국인인권보호 보험미가입
	 */
	private String noInsurance = "";
	/**
	 * 외국인인권보호 외국인피해
	 */
	private String alienDamage = "";
	
	private String drugadministration = "";
	private String carryonofdrugs = "";
	private String drugsale = "";
	private String drugitem = "";
	private String drugquantity = "";
	private String drugamount = "";
	
	private String leadNumber = "";
	/**
	 * 기타 이동수단
	 */	
	private String otherMeansOfTransport = "";
	/**
	 * 원산지 표시위반
	 */		
	private String originIndicationViolation = "";
	/**
	 * 사회 등 안전저해
	 */		
	private String inhibitionOfSocialSafety = "";
	/**
	 * 불법체류 선원
	 */		
	private String sailorPeople = "";
	/**
	 * 불법체류 선원외
	 */		
	private String seamanOutside = "";
	/**
	 * 직접밀입국
	 */
	private String directSmuggling = "";
	/**
	 * 직접밀입국 기타
	 */
	private String otherMeansOfDirect = "";
	
	
	
	
	
	
	
	
	public String getOtherMeansOfDirect() {
		return otherMeansOfDirect;
	}
	public void setOtherMeansOfDirect(String otherMeansOfDirect) {
		this.otherMeansOfDirect = otherMeansOfDirect;
	}
	public String getDirectSmuggling() {
		return directSmuggling;
	}
	public void setDirectSmuggling(String directSmuggling) {
		this.directSmuggling = directSmuggling;
	}
	public String getSailorPeople() {
		return sailorPeople;
	}
	public void setSailorPeople(String sailorPeople) {
		this.sailorPeople = sailorPeople;
	}
	public String getSeamanOutside() {
		return seamanOutside;
	}
	public void setSeamanOutside(String seamanOutside) {
		this.seamanOutside = seamanOutside;
	}
	public String getInhibitionOfSocialSafety() {
		return inhibitionOfSocialSafety;
	}
	public void setInhibitionOfSocialSafety(String inhibitionOfSocialSafety) {
		this.inhibitionOfSocialSafety = inhibitionOfSocialSafety;
	}
	public String getOriginIndicationViolation() {
		return originIndicationViolation;
	}
	public void setOriginIndicationViolation(String originIndicationViolation) {
		this.originIndicationViolation = originIndicationViolation;
	}
	public String getOtherMeansOfTransport() {
		return otherMeansOfTransport;
	}
	public void setOtherMeansOfTransport(String otherMeansOfTransport) {
		this.otherMeansOfTransport = otherMeansOfTransport;
	}
	public String getLeadNumber() {
		return leadNumber;
	}
	public void setLeadNumber(String leadNumber) {
		this.leadNumber = leadNumber;
	}
	public String getDrugadministration() {
		return drugadministration;
	}
	public void setDrugadministration(String drugadministration) {
		this.drugadministration = drugadministration;
	}
	public String getCarryonofdrugs() {
		return carryonofdrugs;
	}
	public void setCarryonofdrugs(String carryonofdrugs) {
		this.carryonofdrugs = carryonofdrugs;
	}
	public String getDrugsale() {
		return drugsale;
	}
	public void setDrugsale(String drugsale) {
		this.drugsale = drugsale;
	}
	public String getDrugitem() {
		return drugitem;
	}
	public void setDrugitem(String drugitem) {
		this.drugitem = drugitem;
	}
	public String getDrugquantity() {
		return drugquantity;
	}
	public void setDrugquantity(String drugquantity) {
		this.drugquantity = drugquantity;
	}
	public String getDrugamount() {
		return drugamount;
	}
	public void setDrugamount(String drugamount) {
		this.drugamount = drugamount;
	}
	public String getNoInsurance() {
		return noInsurance;
	}
	public void setNoInsurance(String noInsurance) {
		this.noInsurance = noInsurance;
	}
	public String getAlienDamage() {
		return alienDamage;
	}
	public void setAlienDamage(String alienDamage) {
		this.alienDamage = alienDamage;
	}
	public String getQuenching() {
		return quenching;
	}
	public void setQuenching(String quenching) {
		this.quenching = quenching;
	}
	public String getForeignCurrency() {
		return foreignCurrency;
	}
	public void setForeignCurrency(String foreignCurrency) {
		this.foreignCurrency = foreignCurrency;
	}
	public String getForeigncurrencyamount() {
		return foreigncurrencyamount;
	}
	public void setForeigncurrencyamount(String foreigncurrencyamount) {
		this.foreigncurrencyamount = foreigncurrencyamount;
	}
	public String getIntelProperty() {
		return intelProperty;
	}
	public void setIntelProperty(String intelProperty) {
		this.intelProperty = intelProperty;
	}
	public String getSpilltarget() {
		return spilltarget;
	}
	public void setSpilltarget(String spilltarget) {
		this.spilltarget = spilltarget;
	}
	public String getAmountofcompensation() {
		return amountofcompensation;
	}
	public void setAmountofcompensation(String amountofcompensation) {
		this.amountofcompensation = amountofcompensation;
	}
	public String getSmugglingName() {
		return smugglingName;
	}
	public void setSmugglingName(String smugglingName) {
		this.smugglingName = smugglingName;
	}
	public String getSmugglingChn() {
		return smugglingChn;
	}
	public void setSmugglingChn(String smugglingChn) {
		this.smugglingChn = smugglingChn;
	}
	public String getSmugglingAge() {
		return smugglingAge;
	}
	public void setSmugglingAge(String smugglingAge) {
		this.smugglingAge = smugglingAge;
	}
	public String getSmugglingWorld() {
		return smugglingWorld;
	}
	public void setSmugglingWorld(String smugglingWorld) {
		this.smugglingWorld = smugglingWorld;
	}
	public String getEscapeChina() {
		return escapeChina;
	}
	public void setEscapeChina(String escapeChina) {
		this.escapeChina = escapeChina;
	}
	public String getEmploymentChina() {
		return employmentChina;
	}
	public void setEmploymentChina(String employmentChina) {
		this.employmentChina = employmentChina;
	}
	public String getEtcChina() {
		return etcChina;
	}
	public void setEtcChina(String etcChina) {
		this.etcChina = etcChina;
	}
	public String getEscapeJapan() {
		return escapeJapan;
	}
	public void setEscapeJapan(String escapeJapan) {
		this.escapeJapan = escapeJapan;
	}
	public String getEmploymentJapan() {
		return employmentJapan;
	}
	public void setEmploymentJapan(String employmentJapan) {
		this.employmentJapan = employmentJapan;
	}
	public String getEtcJapan() {
		return etcJapan;
	}
	public void setEtcJapan(String etcJapan) {
		this.etcJapan = etcJapan;
	}
	public String getEscapeCountries() {
		return escapeCountries;
	}
	public void setEscapeCountries(String escapeCountries) {
		this.escapeCountries = escapeCountries;
	}
	public String getEmploymentCountries() {
		return employmentCountries;
	}
	public void setEmploymentCountries(String employmentCountries) {
		this.employmentCountries = employmentCountries;
	}
	public String getEtcCountries() {
		return etcCountries;
	}
	public void setEtcCountries(String etcCountries) {
		this.etcCountries = etcCountries;
	}
	public String getQuantity() {
		return quantity;
	}
	public void setQuantity(String quantity) {
		this.quantity = quantity;
	}
	public String getPriceMoney() {
		return priceMoney;
	}
	public void setPriceMoney(String priceMoney) {
		this.priceMoney = priceMoney;
	}
	public String getTargetCountry() {
		return targetCountry;
	}
	public void setTargetCountry(String targetCountry) {
		this.targetCountry = targetCountry;
	}
	public String getTransportationCar() {
		return transportationCar;
	}
	public void setTransportationCar(String transportationCar) {
		this.transportationCar = transportationCar;
	}
	public String getArrangeTransport() {
		return arrangeTransport;
	}
	public void setArrangeTransport(String arrangeTransport) {
		this.arrangeTransport = arrangeTransport;
	}
	public String getIllegalMover() {
		return illegalMover;
	}
	public void setIllegalMover(String illegalMover) {
		this.illegalMover = illegalMover;
	}
	public String getTheftcrime() {
		return theftcrime;
	}
	public void setTheftcrime(String theftcrime) {
		this.theftcrime = theftcrime;
	}
	public String getSpeciallaw() {
		return speciallaw;
	}
	public void setSpeciallaw(String speciallaw) {
		this.speciallaw = speciallaw;
	}
	public String getIntelligentcrime() {
		return intelligentcrime;
	}
	public void setIntelligentcrime(String intelligentcrime) {
		this.intelligentcrime = intelligentcrime;
	}
	public String getViolentcrime() {
		return violentcrime;
	}
	public void setViolentcrime(String violentcrime) {
		this.violentcrime = violentcrime;
	}
	public String getAviolentcrime() {
		return aviolentcrime;
	}
	public void setAviolentcrime(String aviolentcrime) {
		this.aviolentcrime = aviolentcrime;
	}
	public String getRemarksList() {
		return remarksList;
	}
	public void setRemarksList(String remarksList) {
		this.remarksList = remarksList;
	}
	public String getItemTest() {
		return itemTest;
	}
	public void setItemTest(String itemTest) {
		this.itemTest = itemTest;
	}
	public String getTransportation() {
		return transportation;
	}
	public void setTransportation(String transportation) {
		this.transportation = transportation;
	}
	public String getForeignCrew() {
		return foreignCrew;
	}
	public void setForeignCrew(String foreignCrew) {
		this.foreignCrew = foreignCrew;
	}
	/**
	 * @return the specBatlCnt
	 */
	public int getSpecBatlCnt() {
		return specBatlCnt;
	}
	/**
	 * @param specBatlCnt the specBatlCnt to set
	 */
	public void setSpecBatlCnt(int specBatlCnt) {
		this.specBatlCnt = specBatlCnt;
	}
	/**
	 * @return the procCondNCnt
	 */
	public int getNllCnt() {
		return nllCnt;
	}
	/**
	 * @param nllCnt the nllCnt to set
	 */
	public void setNllCnt(int nllCnt) {
		this.nllCnt = nllCnt;
	}
	/**
	 * @return the procCondNCnt
	 */
	public int getProcCondNCnt() {
		return procCondNCnt;
	}
	/**
	 * @param procCondNCnt the procCondNCnt to set
	 */
	public void setProcCondNCnt(int procCondNCnt) {
		this.procCondNCnt = procCondNCnt;
	}
	/**
	 * @return the procCondYCnt
	 */
	public int getProcCondYCnt() {
		return procCondYCnt;
	}
	/**
	 * @param procCondYCnt the procCondYCnt to set
	 */
	public void setProcCondYCnt(int procCondYCnt) {
		this.procCondYCnt = procCondYCnt;
	}
	/**
	 * @return the totalCnt
	 */
	public int getTotalCnt() {
		return totalCnt;
	}
	/**
	 * @param totalCnt the totalCnt to set
	 */
	public void setTotalCnt(int totalCnt) {
		this.totalCnt = totalCnt;
	}
	/**
	 * @return the addrAreaStr
	 */
	public String getAddrAreaStr() {
		return addrAreaStr;
	}
	/**
	 * @param addrAreaStr the addrAreaStr to set
	 */
	public void setAddrAreaStr(String addrAreaStr) {
		this.addrAreaStr = addrAreaStr;
	}

	/**
	 * @return the notPayment
	 */
	public String getNotPayment() {
		return notPayment;
	}

	/**
	 * @param notPayment the notPayment to set
	 */
	public void setNotPayment(String notPayment) {
		this.notPayment = notPayment;
	}
	/**
	 * @return the arrestId
	 */
	public String getArrestId() {
		return arrestId;
	}

	/**
	 * @param arrestId the arrestId to set
	 */
	public void setArrestId(String arrestId) {
		this.arrestId = arrestId;
	}


	/**
	 * @return the arrestDate
	 */
	public String getArrestDate() {
		return arrestDate;
	}


	/**
	 * @param arrestDate the arrestDate to set
	 */
	public void setArrestDate(String arrestDate) {
		this.arrestDate = arrestDate;
	}


	/**
	 * @return the agencyType
	 */
	public String getAgencyType() {
		return agencyType;
	}


	/**
	 * @param agencyType the agencyType to set
	 */
	public void setAgencyType(String agencyType) {
		this.agencyType = agencyType;
	}


	/**
	 * @return the agencyGuard
	 */
	public String getAgencyGuard() {
		return agencyGuard;
	}


	/**
	 * @param arrestId the arrestId to set
	 */
	public void setAgencyGuard(String agencyGuard) {
		this.agencyGuard = agencyGuard;
	}


	/**
	 * @return the agencyVessel
	 */
	public String getAgencyVessel() {
		return agencyVessel;
	}


	/**
	 * @param agencyVessel the agencyVessel to set
	 */
	public void setAgencyVessel(String agencyVessel) {
		this.agencyVessel = agencyVessel;
	}


	/**
	 * @return the procCondition
	 */
	public String getProcCondition() {
		return procCondition;
	}


	/**
	 * @param procCondition the procCondition to set
	 */
	public void setProcCondition(String procCondition) {
		this.procCondition = procCondition;
	}


	/**
	 * @return the violateType
	 */
	public String getViolateType() {
		return violateType;
	}


	/**
	 * @param violateType the violateType to set
	 */
	public void setViolateType(String violateType) {
		this.violateType = violateType;
	}


	/**
	 * @return the agencyType
	 */
	public String getViolateDetail() {
		return violateDetail;
	}


	/**
	 * @param violateDetail the violateDetail to set
	 */
	public void setViolateDetail(String violateDetail) {
		this.violateDetail = violateDetail;
	}


	/**
	 * @return the invasionType
	 */
	public String getInvasionType() {
		return invasionType;
	}


	/**
	 * @param invasionType the invasionType to set
	 */
	public void setInvasionType(String invasionType) {
		this.invasionType = invasionType;
	}


	/**
	 * @return the invasion1
	 */
	public String getInvasion1() {
		return invasion1;
	}


	/**
	 * @param invasion1 the invasion1 to set
	 */
	public void setInvasion1(String invasion1) {
		this.invasion1 = invasion1;
	}


	/**
	 * @return the invasion2
	 */
	public String getInvasion2() {
		return invasion2;
	}


	/**
	 * @param invasion2 the invasion2 to set
	 */
	public void setInvasion2(String invasion2) {
		this.invasion2 = invasion2;
	}


	/**
	 * @return the invasion3
	 */
	public String getInvasion3() {
		return invasion3;
	}


	/**
	 * @param invasion3 the invasion3 to set
	 */
	public void setInvasion3(String invasion3) {
		this.invasion3 = invasion3;
	}


	/**
	 * @return the invasion4
	 */
	public String getInvasion4() {
		return invasion4;
	}


	/**
	 * @param invasion4 the invasion4 to set
	 */
	public void setInvasion4(String invasion4) {
		this.invasion4 = invasion4;
	}


	/**
	 * @return the procCondY
	 */
	public String getProcCondY() {
		return procCondY;
	}


	/**
	 * @param procCondY the procCondY to set
	 */
	public void setProcCondY(String procCondY) {
		this.procCondY = procCondY;
	}


	/**
	 * @return the procCondN
	 */
	public String getProcCondN() {
		return procCondN;
	}


	/**
	 * @param procCondN the procCondN to set
	 */
	public void setProcCondN(String procCondN) {
		this.procCondN = procCondN;
	}


	/**
	 * @return the noMarginPaymentAmt
	 */
	public String getNoMarginPaymentAmt() {
		return noMarginPaymentAmt;
	}


	/**
	 * @param noMarginPaymentAmt the noMarginPaymentAmt to set
	 */
	public void setNoMarginPaymentAmt(String noMarginPaymentAmt) {
		this.noMarginPaymentAmt = noMarginPaymentAmt;
	}


	/**
	 * @return the shipProcTypeA
	 */
	public String getShipProcTypeA() {
		return shipProcTypeA;
	}


	/**
	 * @param shipProcTypeA the shipProcTypeA to set
	 */
	public void setShipProcTypeA(String shipProcTypeA) {
		this.shipProcTypeA = shipProcTypeA;
	}


	/**
	 * @return the shipProcTypeB
	 */
	public String getShipProcTypeB() {
		return shipProcTypeB;
	}


	/**
	 * @param shipProcTypeB the shipProcTypeB to set
	 */
	public void setShipProcTypeB(String shipProcTypeB) {
		this.shipProcTypeB = shipProcTypeB;
	}


	/**
	 * @return the shipProcTypeC
	 */
	public String getShipProcTypeC() {
		return shipProcTypeC;
	}


	/**
	 * @param shipProcTypeC the shipProcTypeC to set
	 */
	public void setShipProcTypeC(String shipProcTypeC) {
		this.shipProcTypeC = shipProcTypeC;
	}


	/**
	 * @return the shipProcTypeD
	 */
	public String getShipProcTypeD() {
		return shipProcTypeD;
	}


	/**
	 * @param shipProcTypeD the shipProcTypeD to set
	 */
	public void setShipProcTypeD(String shipProcTypeD) {
		this.shipProcTypeD = shipProcTypeD;
	}


	/**
	 * @return the shipProcTypeE
	 */
	public String getShipProcTypeE() {
		return shipProcTypeE;
	}


	/**
	 * @param shipProcTypeE the shipProcTypeE to set
	 */
	public void setShipProcTypeE(String shipProcTypeE) {
		this.shipProcTypeE = shipProcTypeE;
	}


	/**
	 * @return the detentionTotalCnt
	 */
	public String getDetentionTotalCnt() {
		return detentionTotalCnt;
	}


	/**
	 * @param detentionTotalCnt the detentionTotalCnt to set
	 */
	public void setDetentionTotalCnt(String detentionTotalCnt) {
		this.detentionTotalCnt = detentionTotalCnt;
	}


	/**
	 * @return the invasionType1
	 */
	public int getInvasionType1() {
		return invasionType1;
	}


	/**
	 * @param invasionType1 the invasionType1 to set
	 */
	public void setInvasionType1(int invasionType1) {
		this.invasionType1 = invasionType1;
	}


	/**
	 * @return the invasionType2
	 */
	public int getInvasionType2() {
		return invasionType2;
	}


	/**
	 * @param invasionType2 the invasionType2 to set
	 */
	public void setInvasionType2(int invasionType2) {
		this.invasionType2 = invasionType2;
	}


	/**
	 * @return the invasionType3
	 */
	public int getInvasionType3() {
		return invasionType3;
	}

	
	/**
	 * @param invasionType3 the invasionType3 to set
	 */
	public void setInvasionType3(int invasionType3) {
		this.invasionType3 = invasionType3;
	}


	/**
	 * @return the invasionType4
	 */
	public int getInvasionType4() {
		return invasionType4;
	}


	/**
	 * @param invasionType4 the invasionType4 to set
	 */
	public void setInvasionType4(int invasionType4) {
		this.invasionType4 = invasionType4;
	}


	/**
	 * @return the invasionType5
	 */
	public int getInvasionType5() {
		return invasionType5;
	}


	/**
	 * @param invasionType5 the invasionType5 to set
	 */
	public void setInvasionType5(int invasionType5) {
		this.invasionType5 = invasionType5;
	}

	
	/**
	 * @return the shipProcType1
	 */
	public String getShipProcType1() {
		return shipProcType1;
	}


	/**
	 * @param shipProcType1 the shipProcType1 to set
	 */
	public void setShipProcType1(String shipProcType1) {
		this.shipProcType1 = shipProcType1;
	}


	/**
	 * @return the shipProcType2
	 */
	public String getShipProcType2() {
		return shipProcType2;
	}


	/**
	 * @param shipProcType2 the shipProcType2 to set
	 */
	public void setShipProcType2(String shipProcType2) {
		this.shipProcType2 = shipProcType2;
	}


	/**
	 * @return the shipProcType3
	 */
	public String getShipProcType3() {
		return shipProcType3;
	}


	/**
	 * @param shipProcType3 the shipProcType3 to set
	 */
	public void setShipProcType3(String shipProcType3) {
		this.shipProcType3 = shipProcType3;
	}


	/**
	 * @return the shipProcType4
	 */
	public String getShipProcType4() {
		return shipProcType4;
	}


	/**
	 * @param shipProcType4 the shipProcType4 to set
	 */
	public void setShipProcType4(String shipProcType4) {
		this.shipProcType4 = shipProcType4;
	}


	/**
	 * @return the shipProcType5
	 */
	public String getShipProcType5() {
		return shipProcType5;
	}


	/**
	 * @param shipProcType5 the shipProcType5 to set
	 */
	public void setShipProcType5(String shipProcType5) {
		this.shipProcType5 = shipProcType5;
	}


	/**
	 * @return the fieldCnt
	 */
	public String getFieldCnt() {
		return fieldCnt;
	}

	
	/**
	 * @param fieldCnt the fieldCnt to set
	 */
	public void setFieldCnt(String fieldCnt) {
		this.fieldCnt = fieldCnt;
	}


	/**
	 * @return the specBatlYn
	 */
	public String getSpecBatlYn() {
		return specBatlYn;
	}


	/**
	 * @param specBatlYn the specBatlYn to set
	 */	
	public void setSpecBatlYn(String specBatlYn) {
		this.specBatlYn = specBatlYn;
	}


	/**
	 * @return the nllYn
	 */
	public String getNllYn() {
		return nllYn;
	}


	/**
	 * @param nllYn the nllYn to set
	 */
	public void setNllYn(String nllYn) {
		this.nllYn = nllYn;
	}


	/**
	 * @return the woDetentionType
	 */
	public String getWoDetentionType() {
		return woDetentionType;
	}


	/**
	 * @param woDetentionType the woDetentionType to set
	 */
	public void setWoDetentionType(String woDetentionType) {
		this.woDetentionType = woDetentionType;
	}


	/**
	 * @return the fieldArrestDate
	 */
	public String getFieldArrestDate() {
		return fieldArrestDate;
	}


	/**
	 * @param fieldArrestDate the fieldArrestDate to set
	 */
	public void setFieldArrestDate(String fieldArrestDate) {
		this.fieldArrestDate = fieldArrestDate;
	}


	/**
	 * @return the fieldReleaseDate
	 */
	public String getFieldReleaseDate() {
		return fieldReleaseDate;
	}


	/**
	 * @param fieldReleaseDate the fieldReleaseDate to set
	 */
	public void setFieldReleaseDate(String fieldReleaseDate) {
		this.fieldReleaseDate = fieldReleaseDate;
	}


	/**
	 * @return the leadDistance
	 */
	public String getLeadDistance() {
		return leadDistance;
	}


	/**
	 * @param leadDistance the leadDistance to set
	 */
	public void setLeadDistance(String leadDistance) {
		this.leadDistance = leadDistance;
	}


	/**
	 * @return the leadHour
	 */
	public String getLeadHour() {
		return leadHour;
	}


	/**
	 * @param leadHour the leadHour to set
	 */
	public void setLeadHour(String leadHour) {
		this.leadHour = leadHour;
	}


	/**
	 * @return the leadMinute
	 */
	public String getLeadMinute() {
		return leadMinute;
	}


	/**
	 * @param leadMinute the leadMinute to set
	 */
	public void setLeadMinute(String leadMinute) {
		this.leadMinute = leadMinute;
	}


	/**
	 * @return the captainCount
	 */
	public int getCaptainCount() {
		return captainCount;
	}

	
	/**
	 * @param captainCount the captainCount to set
	 */
	public void setCaptainCount(int captainCount) {
		this.captainCount = captainCount;
	}


	/**
	 * @return the mateCount
	 */
	public int getMateCount() {
		return mateCount;
	}


	/**
	 * @param mateCount the mateCount to set
	 */
	public void setMateCount(int mateCount) {
		this.mateCount = mateCount;
	}


	/**
	 * @return the engineerCount
	 */
	public int getEngineerCount() {
		return engineerCount;
	}

	
	/**
	 * @param engineerCount the engineerCount to set
	 */
	public void setEngineerCount(int engineerCount) {
		this.engineerCount = engineerCount;
	}


	/**
	 * @return the crewCount
	 */
	public int getCrewCount() {
		return crewCount;
	}


	/**
	 * @param crewCount the crewCount to set
	 */
	public void setCrewCount(int crewCount) {
		this.crewCount = crewCount;
	}


	/**
	 * @return the shipProcType
	 */
	public String getShipProcType() {
		return shipProcType;
	}


	/**
	 * @param shipProcType the shipProcType to set
	 */
	public void setShipProcType(String shipProcType) {
		this.shipProcType = shipProcType;
	}


	/**
	 * @return the commissionCost
	 */
	public String getCommissionCost() {
		return commissionCost;
	}


	/**
	 * @param commissionCost the commissionCost to set
	 */
	public void setCommissionCost(String commissionCost) {
		this.commissionCost = commissionCost;
	}


	/**
	 * @return the gearCast
	 */
	public String getGearCast() {
		return gearCast;
	}


	/**
	 * @param gearCast the gearCast to set
	 */
	public void setGearCast(String gearCast) {
		this.gearCast = gearCast;
	}

	
	/**
	 * @return the gearWidth
	 */
	public String getGearWidth() {
		return gearWidth;
	}


	/**
	 * @param gearWidth the gearWidth to set
	 */
	public void setGearWidth(String gearWidth) {
		this.gearWidth = gearWidth;
	}


	/**
	 * @return the gearEtc
	 */
	public String getGearEtc() {
		return gearEtc;
	}


	/**
	 * @param gearEtc the gearEtc to set
	 */
	public void setGearEtc(String gearEtc) {
		this.gearEtc = gearEtc;
	}


	/**
	 * @return the addrArea
	 */
	public String getAddrArea() {
		return addrArea;
	}


	/**
	 * @param addrArea the addrArea to set
	 */
	public void setAddrArea(String addrArea) {
		this.addrArea = addrArea;
	}


	/**
	 * @return the addrCity
	 */
	public String getAddrCity() {
		return addrCity;
	}


	/**
	 * @param addrCity the addrCity to set
	 */
	public void setAddrCity(String addrCity) {
		this.addrCity = addrCity;
	}


	/**
	 * @return the addrDetail
	 */
	public String getAddrDetail() {
		return addrDetail;
	}


	/**
	 * @param addrDetail the addrDetail to set
	 */
	public void setAddrDetail(String addrDetail) {
		this.addrDetail = addrDetail;
	}


	/**
	 * @return the latD
	 */
	public int getLatD() {
		return latD;
	}


	/**
	 * @param latD the latD to set
	 */
	public void setLatD(int latD) {
		this.latD = latD;
	}


	/**
	 * @return the latM
	 */
	public int getLatM() {
		return latM;
	}


	/**
	 * @param latM the latM to set
	 */
	public void setLatM(int latM) {
		this.latM = latM;
	}


	/**
	 * @return the latS
	 */
	public double getLatS() {
		return latS;
	}

	
	/**
	 * @param latS the latS to set
	 */
	public void setLatS(double latS) {
		this.latS = latS;
	}


	/**
	 * @return the lonD
	 */
	public int getLonD() {
		return lonD;
	}


	/**
	 * @param lonD the lonD to set
	 */
	public void setLonD(int lonD) {
		this.lonD = lonD;
	}


	/**
	 * @return the lonM
	 */
	public int getLonM() {
		return lonM;
	}


	/**
	 * @param lonM the lonM to set
	 */
	public void setLonM(int lonM) {
		this.lonM = lonM;
	}


	/**
	 * @return the lonS
	 */
	public double getLonS() {
		return lonS;
	}


	/**
	 * @param lonS the lonS to set
	 */
	public void setLonS(double lonS) {
		this.lonS = lonS;
	}


	/**
	 * @return the shipName
	 */
	public String getShipName() {
		return shipName;
	}


	/**
	 * @param shipName the shipName to set
	 */
	public void setShipName(String shipName) {
		this.shipName = shipName;
	}


	/**
	 * @return the shipTonnage
	 */
	public String getShipTonnage() {
		return shipTonnage;
	}


	/**
	 * @param shipTonnage the shipTonnage to set
	 */
	public void setShipTonnage(String shipTonnage) {
		this.shipTonnage = shipTonnage;
	}


	/**
	 * @return the shipCrewCnt
	 */
	public String getShipCrewCnt() {
		return shipCrewCnt;
	}


	/**
	 * @param shipCrewCnt the shipCrewCnt to set
	 */
	public void setShipCrewCnt(String shipCrewCnt) {
		this.shipCrewCnt = shipCrewCnt;
	}


	/**
	 * @return the shipQuality
	 */
	public String getShipQuality() {
		return shipQuality;
	}


	/**
	 * @param setShipQuality the setShipQuality to set
	 */
	public void setShipQuality(String shipQuality) {
		this.shipQuality = shipQuality;
	}


	/**
	 * @return the shipQualityStr
	 */
	public String getShipQualityStr() {
		return shipQualityStr;
	}

	
	/**
	 * @param shipQualityStr the shipQualityStr to set
	 */
	public void setShipQualityStr(String shipQualityStr) {
		this.shipQualityStr = shipQualityStr;
	}


	/**
	 * @return the agencyType
	 */
	public String getNoPaymentCnt() {
		return noPaymentCnt;
	}


	/**
	 * @param invasionType the invasionType to set
	 */
	public void setNoPaymentCnt(String noPaymentCnt) {
		this.noPaymentCnt = noPaymentCnt;
	}


	/**
	 * @return the shipMent
	 */
	public String getShipMent() {
		return shipMent;
	}


	/**
	 * @param shipMent the shipMent to set
	 */
	public void setShipMent(String shipMent) {
		this.shipMent = shipMent;
	}


	/**
	 * @return the shipPortName
	 */
	public String getShipPortName() {
		return shipPortName;
	}


	/**
	 * @param shipPortName the shipPortName to set
	 */
	public void setShipPortName(String shipPortName) {
		this.shipPortName = shipPortName;
	}


	/**
	 * @return the shipType
	 */
	public String getShipType() {
		return shipType;
	}


	/**
	 * @param shipType the shipType to set
	 */
	public void setShipType(String shipType) {
		this.shipType = shipType;
	}


	/**
	 * @return the capName
	 */
	public String getCapName() {
		return capName;
	}


	/**
	 * @param capName the capName to set
	 */
	public void setCapName(String capName) {
		this.capName = capName;
	}


	/**
	 * @return the capChnName
	 */
	public String getCapChnName() {
		return capChnName;
	}


	/**
	 * @param capChnName the capChnName to set
	 */
	public void setCapChnName(String capChnName) {
		this.capChnName = capChnName;
	}


	/**
	 * @return the capAge
	 */
	public int getCapAge() {
		return capAge;
	}


	/**
	 * @param capAge the capAge to set
	 */
	public void setCapAge(int capAge) {
		this.capAge = capAge;
	}


	/**
	 * @return the vioFish
	 */
	public String getVioFish() {
		return vioFish;
	}


	/**
	 * @param vioFish the vioFish to set
	 */
	public void setVioFish(String vioFish) {
		this.vioFish = vioFish;
	}


	/**
	 * @return the vioCnt
	 */
	public int getVioCnt() {
		return vioCnt;
	}


	/**
	 * @param vioCnt the vioCnt to set
	 */
	public void setVioCnt(int vioCnt) {
		this.vioCnt = vioCnt;
	}


	/**
	 * @return the vioPriatedAmt
	 */
	public int getVioPriatedAmt() {
		return vioPriatedAmt;
	}


	/**
	 * @param vioPriatedAmt the vioPriatedAmt to set
	 */
	public void setVioPriatedAmt(int vioPriatedAmt) {
		this.vioPriatedAmt = vioPriatedAmt;
	}


	/**
	 * @return the marginPaymentYn
	 */
	public String getMarginPaymentYn() {
		return marginPaymentYn;
	}


	/**
	 * @param marginPaymentYn the marginPaymentYn to set
	 */
	public void setMarginPaymentYn(String marginPaymentYn) {
		this.marginPaymentYn = marginPaymentYn;
	}


	/**
	 * @return the marginPaymentAmt
	 */
	public int getMarginPaymentAmt() {
		return marginPaymentAmt;
	}


	/**
	 * @param marginPaymentAmt the marginPaymentAmt to set
	 */
	public void setMarginPaymentAmt(int marginPaymentAmt) {
		this.marginPaymentAmt = marginPaymentAmt;
	}


	/**
	 * @return the marginPaymentDate
	 */
	public String getMarginPaymentDate() {
		return marginPaymentDate;
	}


	/**
	 * @param marginPaymentDate the marginPaymentDate to set
	 */
	public void setMarginPaymentDate(String marginPaymentDate) {
		this.marginPaymentDate = marginPaymentDate;
	}


	/**
	 * @return the status
	 */
	public String getStatus() {
		return status;
	}


	/**
	 * @param status the status to set
	 */
	public void setStatus(String status) {
		this.status = status;
	}


	/**
	 * @return the delYn
	 */
	public String getDelYn() {
		return delYn;
	}


	/**
	 * @param delYn the delYn to set
	 */
	public void setDelYn(String delYn) {
		this.delYn = delYn;
	}


	/**
	 * @return the regDate
	 */
	public String getRegDate() {
		return regDate;
	}


	/**
	 * @param regDate the regDate to set
	 */
	public void setRegDate(String regDate) {
		this.regDate = regDate;
	}


	/**
	 * @return the regUser
	 */
	public String getRegUser() {
		return regUser;
	}


	/**
	 * @param regUser the regUser to set
	 */
	public void setRegUser(String regUser) {
		this.regUser = regUser;
	}


	/**
	 * @return the regAgency
	 */
	public String getRegAgency() {
		return regAgency;
	}

	/**
	 * @param regAgency the regAgency to set
	 */
	public void setRegAgency(String regAgency) {
		this.regAgency = regAgency;
	}


	/**
	 * @return the shipMentStr
	 */
	public String getShipMentStr() {
		return shipMentStr;
	}


	/**
	 * @param shipMentStr the shipMentStr to set
	 */
	public void setShipMentStr(String shipMentStr) {
		this.shipMentStr = shipMentStr;
	}


	/**
	 * @return the shipTypeStr
	 */
	public String getShipTypeStr() {
		return shipTypeStr;
	}


	/**
	 * @param shipTypeStr the shipTypeStr to set
	 */
	public void setShipTypeStr(String shipTypeStr) {
		this.shipTypeStr = shipTypeStr;
	}


	/**
	 * @return the woDetentionStr
	 */
	public String getWoDetentionStr() {
		return woDetentionStr;
	}


	/**
	 * @param woDetentionStr the woDetentionStr to set
	 */
	public void setWoDetentionStr(String woDetentionStr) {
		this.woDetentionStr = woDetentionStr;
	}


	/**
	 * @return the marginPaymentDate
	 */
	public String getAgencyGuardStr() {
		return agencyGuardStr;
	}


	/**
	 * @param marginPaymentAmt the marginPaymentAmt to set
	 */
	public void setAgencyGuardStr(String agencyGuardStr) {
		this.agencyGuardStr = agencyGuardStr;
	}


	/**
	 * @return the addrStr
	 */
	public String getAddrStr() {
		return addrStr;
	}


	/**
	 * @param addrStr the addrStr to set
	 */
	public void setAddrStr(String addrStr) {
		this.addrStr = addrStr;
	}



	@Override
	public String toString() {
		return "BoardVO [arrestId=" + arrestId + ", arrestDate=" + arrestDate
				+ ", agencyType=" + agencyType + ", agencyGuard=" + agencyGuard
				+ ", agencyVessel=" + agencyVessel + ", procCondition="
				+ procCondition + ", violateType=" + violateType
				+ ", violateDetail=" + violateDetail + ", invasionType="
				+ invasionType + ", specBatlYn=" + specBatlYn + ", nllYn="
				+ nllYn + ", woDetentionType=" + woDetentionType
				+ ", fieldArrestDate=" + fieldArrestDate
				+ ", fieldReleaseDate=" + fieldReleaseDate + ", leadDistance="
				+ leadDistance + ", leadHour=" + leadHour + ", leadMinute="
				+ leadMinute + ", captainCount=" + captainCount
				+ ", mateCount=" + mateCount + ", engineerCount="
				+ engineerCount + ", crewCount=" + crewCount
				+ ", shipProcType=" + shipProcType + ", commissionCost="
				+ commissionCost + ", gearCast=" + gearCast + ", gearWidth="
				+ gearWidth + ", gearEtc=" + gearEtc + ", addrArea=" + addrArea
				+ ", addrCity=" + addrCity + ", addrDetail=" + addrDetail
				+ ", latD="
				+ latD
				+ ", latM="
				+ latM
				+ ", latS="
				+ latS
				+ ", lonD="
				+ lonD
				+ ", lonM="
				+ lonM
				+ ", lonS="
				+ lonS // 위경도
				+ ", shipName=" + shipName + ", shipTonnage=" + shipTonnage
				+ ", shipType=" + shipType + ", shipCrewCnt=" + shipCrewCnt
				+ ", shipQuality=" + shipQuality + ", shipMent=" + shipMent
				+ ", shipPortName=" + shipPortName + ", capName=" + capName
				+ ", capChnName=" + capChnName + ", capAge=" + capAge
				+ ", vioFish=" + vioFish + ", vioCnt=" + vioCnt
				+ ", vioPriatedAmt=" + vioPriatedAmt + ", marginPaymentYn="
				+ marginPaymentYn + ", marginPaymentAmt=" + marginPaymentAmt
				+ ", marginPaymentDate=" + marginPaymentDate + ", status="
				+ status + ", delYn=" + delYn + ", regDate=" + regDate
				+ ", regUser=" + regUser + ", regAgency=" + regAgency + ", otherMeansOfTransport=" + otherMeansOfTransport
				+ ", transportation=" + transportation + "]";
	}

}
